org.eclipse.net4j

## Class ContainerProtocolProvider

- java.lang.Object
- - org.eclipse.net4j.ContainerProtocolProvider

- All Implemented Interfaces:
    IProtocolProvider
  Direct Known Subclasses:
    ContainerProtocolProvider.Client, ContainerProtocolProvider.Server

      public abstract class ContainerProtocolProvider
      extends Object
      implements IProtocolProvider

  Base class for container-based `protocol providers` like `ContainerProtocolProvider.Client` or `ContainerProtocolProvider.Server`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContainerProtocolProvider.Client` Container-based `protocol provider` for `client` protocols.
    `static class` | `ContainerProtocolProvider.Server` Container-based `protocol provider` for `server` protocols.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContainerProtocolProvider(IManagedContainer container, String productGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IManagedContainer` | `getContainer()`
    `String` | `getProductGroup()`
    `IProtocol<?>` | `getProtocol(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerProtocolProvider

          protected ContainerProtocolProvider(IManagedContainer container,
                                              String productGroup)

  - ### Method Detail

    - #### getContainer

          public IManagedContainer getContainer()

    - #### getProductGroup

          public String getProductGroup()

    - #### getProtocol

          public IProtocol<?> getProtocol(String type)

      Specified by:
        `getProtocol` in interface `IProtocolProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html